Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.deployment.metadata
Class ConfigInfoBinding

    java.lang.Object
      org.jboss.services.deployment.metadata.ConfigInfoBinding

All Implemented Interfaces:
  org.jboss.xml.binding.GenericObjectModelFactory, org.jboss.xml.binding.ObjectModelFactory

public class ConfigInfoBinding
extends Object
implements org.jboss.xml.binding.GenericObjectModelFactory

Class that implements the binding of the XML model to our POJO classes, using the GenericObjectModelFactory facility

Version:
  $Revision: 1.1.4.2 $
Author:
  Dimitris Andreadis

Constructor Summary
`ConfigInfoBinding()`

Method Summary
`void` | `addChild(Object parent, Object child, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)`
`Object` | `completedRoot(Object root, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName)`
`Object` | `newChild(Object parent, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)`
`Object` | `newRoot(Object root, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, Attributes attrs)`
`void` | `setValue(Object o, org.jboss.xml.binding.ContentNavigator navigator, String namespaceURI, String localName, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigInfoBinding

    public ConfigInfoBinding()

Method Detail

### newRoot

    public Object newRoot(Object root,
                          org.jboss.xml.binding.ContentNavigator navigator,
                          String namespaceURI,
                          String localName,
                          Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xml.binding.ObjectModelFactory`

### newChild

    public Object newChild(Object parent,
                           org.jboss.xml.binding.ContentNavigator navigator,
                           String namespaceURI,
                           String localName,
                           Attributes attrs)

  Specified by:
    `newChild` in interface `org.jboss.xml.binding.GenericObjectModelFactory`

### addChild

    public void addChild(Object parent,
                         Object child,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName)

  Specified by:
    `addChild` in interface `org.jboss.xml.binding.GenericObjectModelFactory`

### setValue

    public void setValue(Object o,
                         org.jboss.xml.binding.ContentNavigator navigator,
                         String namespaceURI,
                         String localName,
                         String value)

  Specified by:
    `setValue` in interface `org.jboss.xml.binding.GenericObjectModelFactory`

### completedRoot

    public Object completedRoot(Object root,
                                org.jboss.xml.binding.ContentNavigator navigator,
                                String namespaceURI,
                                String localName)

  Specified by:
    `completedRoot` in interface `org.jboss.xml.binding.GenericObjectModelFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.